NAT Gateway
Update NAT Gateway
patch
/nat-gateway/{ng_uuid}Update name/label of a NAT Gateway.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
ng_uuid*string
Request body
Update a NAT Gateway
application/jsonRequired
name?string | null
Range
1 ≤ length ≤ 100label?string | null
Range
length ≤ 255Responses
Successful Response
application/json
uuid*string
name*string
label?string | null
status*string
plan*NgPlanDetailOut
Plan the NAT Gateway runs on.
Properties (6)
uuid*string
name*string
description?string | null
price_per_hour*number
bandwidth_mbps?integer | null
connections_per_second?integer | null
location_name?string | null
location_description?string | null
project_id?integer | null
project_name?string | null
network_id?integer | null
network_name?string | null
network_cidr?string | null
private_ip?string | null
monthly_charges?number
Default
0floating_ip?NgFloatingIPOut | null
Public IP assigned to a NAT Gateway.
Properties (4)
address*string
netmask?string | null
type?string | null
rdns?string | null
protected?boolean
Default
falsecreated_at?string | null
updated_at?string | null